Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes
Lucene::FieldsWriter Class Reference

`#include <FieldsWriter.h>`

Inheritance diagram for Lucene::FieldsWriter:

## Public Member Functions

| FieldsWriter (DirectoryPtr d, const String &segment, FieldInfosPtr fn)
| FieldsWriter (IndexOutputPtr fdx, IndexOutputPtr fdt, FieldInfosPtr fn)
virtual | ~FieldsWriter ()
virtual String | getClassName ()
boost::shared_ptr< FieldsWriter > | shared_from_this ()
void | setFieldsStream (IndexOutputPtr stream)
void | flushDocument (int32_t numStoredFields, RAMOutputStreamPtr buffer)
| Writes the contents of buffer into the fields stream and adds a new entry for this document into the index stream. This assumes the buffer was already written in the correct fields format. More...
void | skipDocument ()
void | flush ()
void | close ()
void | writeField (FieldInfoPtr fi, FieldablePtr field)
void | addRawDocuments (IndexInputPtr stream, Collection< int32_t > lengths, int32_t numDocs)
| Bulk write a contiguous series of documents. The lengths array is the length (in bytes) of each raw document. The stream IndexInput is the fieldsStream from which we should bulk-copy all bytes. More...
void | addDocument (DocumentPtr doc)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Static Public Attributes

static const uint8_t | FIELD_IS_TOKENIZED
static const uint8_t | FIELD_IS_BINARY
static const uint8_t | FIELD_IS_COMPRESSED
static const int32_t | FORMAT
static const int32_t | FORMAT_VERSION_UTF8_LENGTH_IN_BYTES
static const int32_t | FORMAT_LUCENE_3_0_NO_COMPRESSED_FIELDS
static const int32_t | FORMAT_CURRENT

## Protected Attributes

FieldInfosPtr | fieldInfos
IndexOutputPtr | fieldsStream
IndexOutputPtr | indexStream
bool | doClose

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::FieldsWriter::FieldsWriter | ( | DirectoryPtr | d,
|  | const String & | segment,
|  | FieldInfosPtr | fn
| ) |  |

Lucene::FieldsWriter::FieldsWriter | ( | IndexOutputPtr | fdx,
|  | IndexOutputPtr | fdt,
|  | FieldInfosPtr | fn
| ) |  |

virtual Lucene::FieldsWriter::~FieldsWriter | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::FieldsWriter::_getClassName | ( | ) |  |

inline static

void Lucene::FieldsWriter::addDocument | ( | DocumentPtr | doc) |  |

void Lucene::FieldsWriter::addRawDocuments | ( | IndexInputPtr | stream,
|  | Collection< int32_t > | lengths,
|  | int32_t | numDocs
| ) |  |

Bulk write a contiguous series of documents. The lengths array is the length (in bytes) of each raw document. The stream IndexInput is the fieldsStream from which we should bulk-copy all bytes.

void Lucene::FieldsWriter::close | ( | ) |  |

void Lucene::FieldsWriter::flush | ( | ) |  |

void Lucene::FieldsWriter::flushDocument | ( | int32_t | numStoredFields,
|  | RAMOutputStreamPtr | buffer
| ) |  |

Writes the contents of buffer into the fields stream and adds a new entry for this document into the index stream. This assumes the buffer was already written in the correct fields format.

virtual String Lucene::FieldsWriter::getClassName | ( | ) |  |

inline virtual

void Lucene::FieldsWriter::setFieldsStream | ( | IndexOutputPtr | stream) |  |

boost::shared_ptr< FieldsWriter > Lucene::FieldsWriter::shared_from_this | ( | ) |  |

inline

void Lucene::FieldsWriter::skipDocument | ( | ) |  |

void Lucene::FieldsWriter::writeField | ( | FieldInfoPtr | fi,
|  | FieldablePtr | field
| ) |  |

## Field Documentation

bool Lucene::FieldsWriter::doClose

protected

const uint8_t Lucene::FieldsWriter::FIELD_IS_BINARY

static

const uint8_t Lucene::FieldsWriter::FIELD_IS_COMPRESSED

static

const uint8_t Lucene::FieldsWriter::FIELD_IS_TOKENIZED

static

FieldInfosPtr Lucene::FieldsWriter::fieldInfos

protected

IndexOutputPtr Lucene::FieldsWriter::fieldsStream

protected

const int32_t Lucene::FieldsWriter::FORMAT

static

const int32_t Lucene::FieldsWriter::FORMAT_CURRENT

static

const int32_t Lucene::FieldsWriter::FORMAT_LUCENE_3_0_NO_COMPRESSED_FIELDS

static

const int32_t Lucene::FieldsWriter::FORMAT_VERSION_UTF8_LENGTH_IN_BYTES

static

IndexOutputPtr Lucene::FieldsWriter::indexStream

protected

The documentation for this class was generated from the following file:

- FieldsWriter.h

clucene.sourceforge.net